aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2009-06-06 20:23:20 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2009-06-06 20:23:20 +0000
commitdd1a0d135851172dab4b860120bbf121a70e1a18 (patch)
treefd4db804da674e904e302bcae5c7c6ffdd3249b1 /dev
parent4c420b23663e4839594bc969bb32d068ba389872 (diff)
downloadslackbuilds-dd1a0d135851172dab4b860120bbf121a70e1a18.tar.gz
slackbuilds-dd1a0d135851172dab4b860120bbf121a70e1a18.tar.bz2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@2208 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev')
-rw-r--r--dev/util/eric/Manifest4
-rw-r--r--dev/util/eric/eric.SlackBuild231
2 files changed, 235 insertions, 0 deletions
diff --git a/dev/util/eric/Manifest b/dev/util/eric/Manifest
new file mode 100644
index 00000000..bd26c7da
--- /dev/null
+++ b/dev/util/eric/Manifest
@@ -0,0 +1,4 @@
+DIST eric4-4.3.3.tar.gz 5130140 MD5 5668ac515945734e188519a2ac3efcd5 RMD160 e459ce0a28063a57716212b81c4144bbe519a249 SHA1 a7321ebec50d040fcbb45cefa35e8dd98b537051 SHA256 1e5d9acec05a4176c2d426f97687e0448848e4e35e02cb2ee28810f146d1d02b SHA512 b59b675b25dab3de078b392ee87ebaa67c57ce49747a25716a1b6b34ac6966ee610ba53f570c0de04a56d1723d715ad2a66703fa672ea76721ac4b2424ef848c
+DIST eric4-4.3.4.tar.gz 5130327 MD5 d64506bac4285cac409c80c28008b7af RMD160 7ad8dbe5c6f4dd6dd6841d628d7c60f14dee2b3a SHA1 a0c3a8fd095dbfc13f0d25249e1c4fd027dc5e6b SHA256 53ef91728e9718fdc7268c5e4bec49ec73075a6a5095ed29d475572a734d873a SHA512 ebc6d66e0d02753d638e884f552e9b7876dd67cc53b8580ab1821d3b3d00ebeb1581606ecfe74359fd8ee94eed69e701ace49a6ba206c3364072f017ba4a2d66
+MKBUILD eric.mkbuild 5769 MD5 c784482f0a9091fc0fa1a0a7cbf40566 RMD160 68788161c7b5458a7e44a7a8eec5c23b53c2fdba SHA1 2d4bf132a9c31e445c86f4a9f938c89dc86c680e SHA256 7d7d8e6255acf460cc2aa5e33959641a32bc9ba1dae481ebb18836eecf5ecb1c SHA512 ae65730ca3eda1d99a739978526506d68655d44cbbdfa8feb1579fb9fe38e0b24c9b70afa68c6fed55d01db24e0d7f6e659e7b5825da5eccf621af58ebc6c717
+SLACKBUILD eric.SlackBuild 7507 MD5 eedbf2f5edc2ea11db1d01a828076abf RMD160 37d6967edf35d85dc1e6ff89a13689ccc0139b61 SHA1 1c25f40d3f700ba30f68f8ea969477d108c66225 SHA256 5c3af43470abf591cf615d9eb90976f68038611c0d32337a75bf1289ca3cddc5 SHA512 5cac8679c388bb6918271b23329cae84fe702210866e5b44e067339926c8203ebea8805da6df1965dad87c7067a18530fc36bb467d33090813eda3c6060ae427
diff --git a/dev/util/eric/eric.SlackBuild b/dev/util/eric/eric.SlackBuild
new file mode 100644
index 00000000..287449d5
--- /dev/null
+++ b/dev/util/eric/eric.SlackBuild
@@ -0,0 +1,231 @@
+#!/bin/bash
+#
+# eric.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# eric.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for eric, by Rudson R. Alves
+# requires:
+# tested: eric-4.3.4
+# model: generic.mkSlackBuild $Rev: 805 $
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="eric4"
+PKG_NAME="eric"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=4.3.4}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=2rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+SLACKBUILD_PATH=${SLACKBUILD_PATH:="dev/util/eric"}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mtune=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+ERROR_MANIFEST=43;
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://downloads.sourceforge.net/eric/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Check Manifest file
+if [ -e "$CWD/Manifest" ]; then
+
+ # Manifest signature checking
+ if grep -q -- "-----BEGIN PGP SIGNED MESSAGE-----" $CWD/Manifest; then
+ echo "Checking Manifest signature..."
+ gpg --verify $CWD/Manifest
+ if [ "$?" != "0" ]; then
+ exit $ERROR_MANIFEST
+ fi
+ fi
+
+ MANIFEST_LINES="`grep -E -v "^(MKBUILD|SLACKBUILD)" $CWD/Manifest | wc -l`"
+
+ for ((MANIFEST_COUNT=1; MANIFEST_COUNT <= $MANIFEST_LINES; MANIFEST_COUNT++)); do
+
+ MANIFEST_LINE="`grep -E -v "^(MKBUILD|SLACKBUILD)" $CWD/Manifest | head -n $MANIFEST_COUNT | tail -n 1`"
+ MANIFEST_FILE="`echo $MANIFEST_LINE | awk '{ print $2 }'`"
+ MANIFEST_FILE_TYPE="`echo $MANIFEST_LINE | awk '{ print $1 }'`"
+
+ if [ -e "$SRC_DIR/$MANIFEST_FILE" ]; then
+ MANIFEST_FILE="$SRC_DIR/$MANIFEST_FILE"
+ else
+ MANIFEST_FILE="`find $CWD -name $MANIFEST_FILE`"
+ fi
+
+ if [ ! -e "$MANIFEST_FILE" ] || [ -d "$MANIFEST_FILE" ]; then
+ continue
+ fi
+
+ echo "Checking Manifest for $MANIFEST_FILE_TYPE $MANIFEST_FILE integrity..."
+
+ SIZE_SRC="`wc -c $MANIFEST_FILE | awk '{ print $1 }'`"
+ SIZE_MANIFEST="`echo $MANIFEST_LINE | awk '{ print $3 }'`"
+
+ # Check source code size
+ if [ "$SIZE_SRC" != "$SIZE_MANIFEST" ]; then
+ echo "SIZE Manifest: $SIZE_MANIFEST; SIZE $SRC: $SIZE_SRC"
+ exit $ERROR_MANIFEST
+ else
+ echo "Size match."
+ fi
+
+ # Check source code integrity
+ for ALGO in md5 rmd160 sha1 sha256 sha512; do
+ if [ $ALGO = "rmd160" ]; then
+ ALGO_SRC="`openssl rmd160 $MANIFEST_FILE | awk '{ print $2 }'`"
+ else
+ ALGO_SRC="`"$ALGO"sum $MANIFEST_FILE | awk '{ print $1 }'`"
+ fi
+ ALGO="`echo $ALGO | tr '[:lower:]' '[:upper:]'`"
+ ALGO_MANIFEST=$(echo $MANIFEST_LINE | sed "s/.* $ALGO //" | awk '{ print $1 }')
+ if [ "$ALGO_SRC" != "$ALGO_MANIFEST" ]; then
+ echo "$ALGO Manifest: $ALGO_MANIFEST; $ALGO $SRC: $ALGO_SRC"
+ exit $ERROR_MANIFEST
+ else
+ echo "$ALGO match."
+ fi
+ done
+
+ done
+
+else
+ exit $ERROR_MANIFEST
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
+cd "$PKG_SRC"
+
+# Install
+python install.py -i $PKG -b /usr/bin
+
+# Make $PKG/usr/share/applications directory
+[ ! -d $PKG/usr/share/applications ] && mkdir -p $PKG/usr/share/applications
+# Create eric4.desktop
+cat << EOF > $PKG/usr/share/applications/eric4.desktop
+[Desktop Entry]
+Categories=Development;
+Exec=eric4
+Icon=/usr/lib64/python2.6/site-packages/eric4/pixmaps/eric.ico
+StartupNotify=false
+Terminal=false
+Type=Application
+Name=Eric4 IDE for Python
+Comment=Eric4 IDE for Python
+EOF
+#install_package
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING LICENSE SIGNATURE readme.*"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+eric: Eric 4.3.4
+eric:
+eric: Eric is a full featured Python and Ruby editor and IDE, written in
+eric: python. It is based on the cross platform Qt gui toolkit, integrating
+eric: the highly flexible Scintilla editor control. It is designed to be
+eric: usable as everdays' quick and dirty editor as well as being usable as a
+eric: professional project management tool integrating many advanced features
+eric: Python offers the professional coder. eric4 includes a plugin system,
+eric: which allows easy extension of the IDE functionality with plugins
+eric: downloadable from the net.
+eric:
+eric:
+EODESC
+
+# Build the package
+cd "$PKG"
+mkdir -p $REPOS/$SLACKBUILD_PATH
+makepkg -l y -c n "$REPOS/$SLACKBUILD_PATH/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi